* { 
  margin: 0; padding: 0;
}
html, body { 
  height: 100%;
  font : 12px/1.5 "Muli", "Helvetica Neue", Arial, Helvetica, sans-serif;
}

#map_princ{
  z-index:450;
}

#map { 
	width:100%; height:100%; 
}

#order_line, #order_lineB{
	width:150px;
	position: absolute;
	display:none;
	background-color: white;
	padding: 5px;
  border-radius: 5px;
  box-shadow: 2px 2px 3px 2px rgba(10, 20, 30, .5);
  z-index:500;
}

#order_line span, #order_lineB span{
    position: absolute;
    top: 4px;
    right: 9px;
    cursor: pointer;
}

#order_line span:hover, #order_lineB span:hover{
  color: #ff0000;
  font-weight: bold;
}

.segment{
	padding-left: 50px;
  height: 30px;
  background-color: #ddd;
  margin: 2px;
  position: relative;
  line-height:30px;
  border-radius: 3px;
  font-size: 13px;
}

.fleche_seg{
	position: absolute;
  right: 7px;
  background-color: #ccc;
  transform: rotate(90deg);
  width: 16px;
  text-align: center;
  cursor: pointer;
  color: black !important;
}

.fleche_seg:hover{
	position: absolute;
  background-color: #bbb;
}

.fleche_seg_up{
  top: -7px;
  border-radius: 3px 0px 0px 0px;
}

.fleche_seg_down{
  bottom: -7px;
  border-radius: 0px 3px 0px 0px;
}

#bottomBar {
    bottom: 10px;
    z-index: 1000;
    position: absolute;
    width: 100%;
    text-align: center;
    display: none;
}

#flyOver-controls {
    background-color: #ffffff75;
    display: inline-block;
    padding: 4px 4px 0;
    border-radius: 2px;
}

#flyOver-controls img:hover{
    cursor: pointer;
    filter: drop-shadow(2px 4px 6px black);
}

#toolbar, #drawbar {
  z-index: 1000;
  position: absolute; 
  width: 40px;
  transition-duration: 500ms;
  transition-timing-function: ease-in-out;
}

#toolbar{
  right: var(--right, 11px);
  --right: 11px;
  top: 100px;
}

#drawbar{
  display: none;
  right: var(--right, 61px);
  --right: 61px;
  top: 462px;
}

#drawbar .sp-original-input-container{
  display:block;
}

#drawColor {
  position: absolute;
  right: 38px;
  bottom: -1px;
  height: 40px;
  border-radius: 4px 0 0 4px;
  border: solid 1px #eee;
  border-right: none;
  width: 58px;
  background-color: #8e7cc3;
}

#slider-thickness-freedraw{
  position: absolute;
  right: 37px;
  width: 100px;
  bottom: 92px;
  height: 38px;
  border-radius: 10px 0px 0px 10px;
  background-color: #ffeaff;
  margin: 0;
  border: solid 1px white;
}

.toolbar-group {
  margin-bottom: 10px;
  border-radius: 5px;
  background: white;
}

.toolbar-button {
  height: 40px;
  width: 40px;
  text-align: center;
  cursor: pointer;
  border-bottom: solid 1px #e0e0e0;
}

.toolbar-button.pushed{
  box-shadow: inset 0px 0px 5px #000;  
  border-radius: 0px 0px 4px 4px;
}

.toolbar-button:last-child{
  border-bottom: none;
}

.toolbar-button img {
  height: 35px;
  padding-top: 2px;
}

.toolbar-button.pushed img {
  height: 29px;
  padding-top: 5px;
}

.mapboxgl-ctrl {
  right: var(--right, 0);
  --right: 0;
  position: absolute;
  transition-duration: 500ms;
  transition-timing-function: ease-in-out;
}

.mapboxgl-ctrl button{
  width : 40px
}

@media all and (max-height: 713px) {
  #toolbar {
    width: 30px;
    top: 80px;
  }
  #drawbar {
    width: 30px;
    top: 336px;
    right: 50px;
  }
  .toolbar-group {
    margin-bottom: 5px;
  }
  .toolbar-button {
    height: 30px;
    width: 30px;
  }
  .toolbar-button.pushed img {
    height: 24px;
    width: 24px;
    padding-top: 3px;
  }
  .toolbar-button img {
    height: 26px;
  }

  .mapboxgl-ctrl button{
    width : 30px;
    height : 21px;
  }

  #drawColor {
    right: 28px;
    height: 30px;
  }

  #slider-thickness-freedraw{
    right: 27px;
    bottom: 67px;
    height: 28px;
  }
}

#container-iconLine, #container-iconLine-B {
  position: absolute;
  height: 100%;
  background-color: white;
  padding: 10px 0px;
  top: 0px;
  left: 0px;
  text-align:center;
  z-index: 501;
  box-shadow: 0px 0px 2px #444444;
  transition-duration: 500ms;
  transition-timing-function: ease-in-out;
  user-select: none;
}

#container-iconLine>div, #container-iconLine-B>div {
  display:none;
}

#container-iconLine-B {
  z-index: 401;
}

.title-type:hover {
  text-decoration: underline;
  cursor: pointer;
}

.iconLine {
  font-size: 14px;
  width: 25px;
  height: 20px;
  line-height: 20px;
  text-align: center;
  display: inline-block;
  cursor:pointer;
  margin:4px;
  font-weight:bold;
  border: solid 2px;
  border-radius:0;
  white-space: nowrap;
  vertical-align: middle;
}

.iconLine.smallText {
  font-size: 12px;
  letter-spacing: -0.7px;
}

.iconLine.extraSmallText {
  font-size: 10px;
  letter-spacing: -0.7px;
  width: 28px;
}

.iconLine.tad {
  border-radius: 10%;
}

#container-iconLine-toggle, #container-iconLine-B-toggle {
  position: absolute;
  top: 30px;
  left: 60px;
  background-color: white;
  height: 45px;
  width: 22px;
  z-index: 500;
  border-radius: 0px 4px 4px 0px;
  cursor: pointer;
  transition-duration: 500ms;
  transition-timing-function: ease-in-out;
}

#container-iconLine-B-toggle {
  z-index: 400;
}

#container-iconLine-toggle.undeployed img, #container-iconLine-B-toggle.undeployed img{
  transform: rotate(180deg);  
}

#container-iconLine-toggle img, #container-iconLine-B-toggle img {
  padding: 12px 5px;
  height: 20px;
}

#popup-waitStats {
    z-index:1900;
    position:absolute;
    width: 100%;
    height:100%;
    top: 0px;
    left:0px;
    background-color: rgba(0,0,0,0.5) ;
  }

#popup-waitStats>div{
    height:100%;
  }

  .sk-cube-grid {
    width: 100px;
    height: 100px;
    margin: auto;
    position: relative;
    top: calc(50% - 50px);
  }

  .sk-cube-grid .sk-cube {
    width: 33%;
    height: 33%;
    background-color: #fe5c5c;
    float: left;
    -webkit-animation: sk-cubeGridScaleDelay 1.3s infinite ease-in-out;
            animation: sk-cubeGridScaleDelay 1.3s infinite ease-in-out; 
  }
  .sk-cube-grid .sk-cube1 {
    -webkit-animation-delay: 0.2s;
            animation-delay: 0.2s; }
  .sk-cube-grid .sk-cube2 {
    -webkit-animation-delay: 0.3s;
            animation-delay: 0.3s; }
  .sk-cube-grid .sk-cube3 {
    -webkit-animation-delay: 0.4s;
            animation-delay: 0.4s; }
  .sk-cube-grid .sk-cube4 {
    -webkit-animation-delay: 0.1s;
            animation-delay: 0.1s; }
  .sk-cube-grid .sk-cube5 {
    -webkit-animation-delay: 0.2s;
            animation-delay: 0.2s; }
  .sk-cube-grid .sk-cube6 {
    -webkit-animation-delay: 0.3s;
            animation-delay: 0.3s; }
  .sk-cube-grid .sk-cube7 {
    -webkit-animation-delay: 0s;
            animation-delay: 0s; }
  .sk-cube-grid .sk-cube8 {
    -webkit-animation-delay: 0.1s;
            animation-delay: 0.1s; }
  .sk-cube-grid .sk-cube9 {
    -webkit-animation-delay: 0.2s;
            animation-delay: 0.2s; }

  @-webkit-keyframes sk-cubeGridScaleDelay {
    0%, 70%, 100% {
      -webkit-transform: scale3D(1, 1, 1);
              transform: scale3D(1, 1, 1);
    } 35% {
      -webkit-transform: scale3D(0, 0, 1);
              transform: scale3D(0, 0, 1); 
    }
  }

  @keyframes sk-cubeGridScaleDelay {
    0%, 70%, 100% {
      -webkit-transform: scale3D(1, 1, 1);
              transform: scale3D(1, 1, 1);
    } 35% {
      -webkit-transform: scale3D(0, 0, 1);
              transform: scale3D(0, 0, 1);
    } 
  }

  .iconStop {
    background-color: white;
    border: solid 1px #456;
    border-radius: 10px;
  }

  .iconStopP2L {
    border: solid 2px #456;
  }

#legend {
    position: absolute;
    bottom: calc(100% - 495px);
    right: var(--right, 55px);
    --right: 55px;
    z-index: 1000;
    background-color: #ffffff;
    max-height: 90%;
    max-width:500px;
    overflow-y: auto;
    font-size: 14px;
    font-weight:bold;
    cursor: move;
    border-radius: 5px;
    box-shadow: 3px 3px 3px #0011228f;
    transition-duration: 500ms;
    transition-timing-function: ease-in-out;
}

#legend .type{
  font-size: 16px;
}

#legend .title{
  font-size: 18px;
}

body{
  overflow:hidden;
}

#mapB {
  height: 100%;
  width:100%;
}

#sep {
  background-color:black;
  position: absolute;
  top: 0;
  width: 2px;
  height: 100%;
  left: 50%;
  z-index: 500; 
  display: none;
}

#resChoose{
  background-color:black;
  position:absolute;
  top:0;
  width:50%;
  height:100%;
  left:50%;
  z-index:1000000; 
  display:none;opacity:0.8; 
  text-align: center; 
  line-height: 100%;
}


#resChoose>div {
  position: relative;
  top: 25%;
  font-size: 18px;
  color: white;
  display: flex;
  flex-direction: column;
  height: 130px;
  justify-content: space-between;
  align-items: center;
}

#resChoose select{
  font-size: 18px;
  font-family: Muli;
} 

#resChoose a{
  top: 10px;
  left: 10px;
  position: absolute;
  color: white;
  cursor: pointer;
}

#name{
  display:none;
  top: 0;
    position: absolute;
    background: white;
    z-index: 1000;
    width: 70%;
    text-align: center;
    left: 13%;
}

#nameB{
  top: 0;
  position: absolute;
  background: white;
  z-index: 500;
  width: 70%;
  text-align: center;
  left: 13%;
}

.window {
  position: absolute;
    background: white;
    z-index: 1000;
    left: 70px;
    bottom: 18px;
    padding: 10px;
    border-radius: 4px;
    padding-right: 30px;
    box-shadow: 1px 1px 3px #334455;
}

.window-hide {
  display:none;
}

.window .cross-close-popup{
  position: absolute;
    right: 10px;
    top: 10px;
    height: 10px;
}


/***** POPUP ****/
  .popup{
    position:absolute;
    top:0;
    left:0;
    width:100%;
    height:100%;
    background-color: rgba(0,0,0,0.5);
    transition: background-color 500ms ease-out;
    z-index: 1100;
  }

  .popup-hide{
    position:absolute;
    top:0;
    left:0;
    width:0%;
    height:0%;
    background-color: rgba(0,0,0,0);
  }

  .popup>div{
    background:white;
    position:absolute;
    top:150px;
    left:calc(50% - 300px);
    width:500px;
    transition: opacity 500ms ease-out;
    opacity :1;
    border-radius: 6px;
    padding: 20px;
    max-width: 80%;
    max-height: calc(100% - 200px);
  }

  .popup>div>div{
    overflow-y: auto;
    max-height: 460px;
  }

  @media all and (max-height: 775px) {
    .popup>div{
      top:60px;
      max-height: 550px;
    }
    
  }

  @media all and (max-height: 610px) {
    .popup>div{
      top:50px;
      max-height: 450px;
    }

    .popup>div>div{
      max-height: 360px;
    }
  }

  .popup-hide div{
    left:-1000px;
    opacity:0;
  }

  .popup .cross-close-popup{
    position: absolute;
    top: 30px;
    right: 20px;
    cursor: pointer;
    height: 16px;
  }
    

  .popup h3{
    color: #34353d;
    margin-bottom: 20px;
    font-size: 24px;
  }

  .popup input[type="text"], .popup select{
    margin-bottom: 15px;
    background-color: #E1E1E1;
    border: none;
    height: 35px;
    width: 35px;
    text-align: center;
  }

  #popup-parameters select{
    width: unset;
  }

  .popup input[type="file"]{
    margin: auto;
    margin-bottom: 15px;
    border: none;
    height: 35px;
    width: 350px;
    padding-left: 10px;
  }

  #popup-image input[type="text"]{
    width: 300px;
    text-align: left;
  }

  .popup input[type="checkbox"]{
    -webkit-appearance: none;
    width: 25px;
    height: 25px;
    background-color: #e4e8e7;
    margin: 2px 5px 2px 20px;
    position:relative;
  }

  .popup input[type="checkbox"]:checked:after {
    content: '\2714';
    font-size: 20px;
    position: absolute;
    bottom: 1px;
    left: 5px;
    color: #807f83;
  }

  .popup label{
   line-height: 29px;
    font-weight: 300;
  }

  .popup ::-webkit-input-placeholder { /* WebKit, Blink, Edge */
      font-style: italic;
      color:#666666;
  }
  .popup :-moz-placeholder { /* Mozilla Firefox 4 to 18 */
     color:#666666;
     font-style: italic;
  }
  .popup ::-moz-placeholder { /* Mozilla Firefox 19+ */
     color:#666666;
     font-style: italic;
  }
  .popup :-ms-input-placeholder { /* Internet Explorer 10-11 */
     color:#666666;
     font-style: italic;
  }

  .popup .popup-buttons{
    text-align: center;
  }

  .popup .popup-button, .button{
    display: inline-block;
    font-size: 15px;
    margin: 0px 10px;
    font-weight: bold;
    padding: 10px 20px;
    color: white;
    border-radius: 11px;
    box-shadow: 0 11px 12px -2px rgba(35, 35, 35, 0.16);
    background-color: #ff0000;
    cursor: pointer;
    margin-bottom: 5px;
  }

  .popup .img-wide{
    width: calc(100% + 40px);
    left: -20px;
    position: relative;
  }

  .button.pushed {
    background: #ff0000;
    box-shadow: inset 0px 0px 15px #7d2e2e;
    outline: none;
  }

  #popup-highlight-line {
    z-index: 1101;
  }

  #popup-highlight-line th, #popup-highlight-line td {
    text-align: center;
    padding: 0 10px;
  }

  #popup-highlight-line td:last-child {
    min-width: 140px;
    background: #ededed;
    border: solid 5px white;
    cursor: text;
  }

  #popup-highlight-line input[type="checkbox"] {
    margin:unset;
  }

table {
    border-collapse: collapse;
    margin-bottom: 20px;
    max-height: 500px;
    display: block;
    overflow: auto;
}

::-webkit-scrollbar {
  width: 7px;
}

::-webkit-scrollbar-track {
  box-shadow: inset 0 0 6px #97979714;
  background-color: #97979714;
  border-radius: 10px;
}

::-webkit-scrollbar-thumb {
  border-radius: 100px;
  background: #34353d80;
  
}

 ::-webkit-scrollbar-thumb:hover {
  background: #34353d90;
} 

th{
  text-align: left;
  font-size: 14px;
}

tr:hover{
  background-color: #f0f8ff;
  cursor: pointer
}

tr {
  border-bottom : solid 1px #e0eef9;
  height: 40px;
}

th, tr:last-child{
  border-bottom: none;
}

#container-signets tr>td:nth-child(3)>img, #container-signets tr>td:nth-child(5)>img{
  width: 30px;
}

#container-signets tr>td:nth-child(6)>img{
  visibility: hidden;
  width: 16px;
}

#container-signets tr>td:nth-child(6):hover>img, #container-signets tr:hover>td:nth-child(6)>img{
  visibility: visible;
}

#container-signets td:first-child>img{
  width: 18px
}

#container-signets td:first-child{
  width: 40px
}

#container-signets td:nth-child(2){
  width: 80px
}

#container-signets td:nth-child(3){
  width: 70px
}

.signetText{
  width:650px;
  max-width: 80%;
  padding: 5px;
  cursor: text;
}

.signetText img {
  max-width : 200px;
  max-height: 200px;
}

#container-signets td:last-child{
  width: 40px
}


@media all and (max-height: 775px) {
  table{
    max-height: 400px;
  }
}

@media all and (max-height: 610px) {
  table{
    max-height: 300px;
  }
}

#textHighlightContainer {
    z-index: 500;
    max-width: 40%;
    max-height: 40%;
    background-color: #ffffffee;
    position: absolute;
    left: 140px;
    bottom: 10px;
    display: none;
    cursor: move;
    border-radius: 5px;
    padding: 10px;
}

#textSignetContainer {
  z-index: 500;
  max-width: 90%;
  max-height: 90%;
  background-color: transparent;
  position: absolute;
  left: 0;
  right: 0;
  margin-left: auto;
  margin-right: auto;
  display: none;
  cursor: move;
  border-radius: 5px;
  text-align: -webkit-center;
}

#textSignetContainer>div {
  background-color: white;
  border-radius: 5px;
  width: fit-content;
  padding: 5px;
  box-shadow: 3px 3px 3px #0011228f;
}

#textSignetContainer img{
  max-width : 100vw;
  max-height: 100vh;
  -webkit-user-drag: none;
}

.signetDone{
  animation: circle .75s;
}

#signetLayer, #signetLine{
  display:none;
  position: absolute;
  z-index:10000;
  background: #eeeeee;
  border-radius: 2px;
  padding: 4px;
}

#signetLayer:before, #signetLine:before{
  content: "";
  position: absolute;
  top: -30px;
  left: 0px;
  z-index: 1;
  border: solid 15px transparent;
  border-bottom-color: #eeeeee;
  pointer-events: none;
}

#signetLayer label, #signetLine label{
  vertical-align: text-bottom;
}

.signetLineAnimationCb {
  position: relative !important;
  left: 70px;
}

.signetLineAnimationCb:disabled {
  background-color: rgba(239, 239, 239, 0.3);
  border-color: rgba(239,239,239,0.3);
}

#contentSignetLine, #contentSignetLayer {
  max-height: 250px;
  overflow-y: auto;
}

@keyframes circle {
  0% {
    opacity: 1;
  }
  25% {
    opacity: 0.2;
  }
  100% {
    opacity: 1;
  }
}

  /* DATA PANEL */
  .deployed {
    right: calc(var(--right) + 400px) !important;
   }

  #dataPanel {
    width: 400px;
    position: absolute;
    right: 0;
    top:0;
    height: 100%;
    background-color: white;
    z-index: 1000;
    transition-duration: 500ms;
    transition-timing-function: ease-in-out;
    overflow-y: auto;
  }

  #dataPanel.undeployed {
    right:-400px;
  }

  #dataPanelTitle {
    text-align: center;
    margin: 10px;
  }
  
  .card-layer {
    border-top: solid 1px #ebebeb;
    padding: 10px;
  }

  @media all and (max-height: 560px) {
    .card-layer {
      padding: 5px 10px;
    }
  }

  .card-layer .masked  {
    opacity : 0.5;
  }

  .card-title {
    line-height: 20px;
    font-size: 13px;
    font-weight: 700;
    color: #34353d;
    margin-bottom: 10px;
    cursor: pointer;
  }

  .card-title img {
    height: 18px;
    vertical-align: middle;
  }

  .masked  {
    opacity : 0.5;
  }

  .card-title img:first-child {
    margin-right: 15px;
    margin-left: 5px;
  }

  .card-title img:last-child {
    position: absolute;
    right: 15px;
  }

  .card-content {
    margin: 2px 10px;
    display: none;
    background-color: #f6f8fa;
    padding: 10px;
    border-radius: 5px;
  }

  .card-content .offset {
    padding-left: 5px;
  }

  .expanded .card-content{
    display: block;
  }

  #voile-card.expanded .card-content{
    display: flex; 
    flex-wrap: wrap;
  }

  #stop-card .card-content span{
    margin: 0 10px;
  }

  #slider-size-stopName{
    margin-top : 1px;
  }

  #eg-card label, #sm-card label, #infra-card label {
    width: 50px;
    display: inline-block;
  }

  .displayPOIName {
    width: unset !important;
  }

  #enquete-card label {
    width: 110px;
    display: inline-block;
  }

  #card-content-layer input, #icon-choose input, #color-choose input{
    position:absolute;
    margin: 3px 8px;
    z-index: 1000;
  }  

  #icon-choose input {
    margin: 0;
  }

  #dataPanel .aerial{background-image:url(./img/aerial.png);}
  #dataPanel .mapbox_street{background-image:url(./img/mapbox_street.png);}
  #dataPanel .mapbox_light{background-image:url(./img/mapbox_light.png);}
  #dataPanel .mapbox_hl{background-image:url(./img/mapbox_hl.png);}
  #icon-choose .bus{background-image:url(./img/icons/anim/bus-grey.png);}
  #icon-choose .bike{background-image:url(./img/icons/anim/bike-grey.png);}
  #icon-choose .walk{background-image:url(./img/icons/anim/walk-grey.png);}
  #color-choose .red{background:red;}
  #color-choose .green{background:#66c859;}
  #color-choose .blue{background:#5b6fff;}
  #color-choose .purple{background:#9d3ca0;}
  #color-choose .orange{background:#cf880a;}
  #color-choose .grey{background:#393939;}

  #bg-card .multiselect-dropdown-search {
     width: calc(100% - 13px) !important;
  }
  
  #bg-card .multiselect-dropdown-list {
    position: absolute;
    background: white;
    bottom: 24px;
    left: -1px;
    width: 100%;
    height: 160px;
    border: solid 1px var(--color-border);
    border-bottom: none;
    border-top-left-radius: var(--border-radius--base);
    border-top-right-radius: var(--border-radius--base);
  }

  #card-content-layer input:active +.bg-label #icon-choose input:active +.bg-label{
    opacity: .9;
  }

  .bg-label, .color-label{
      cursor:pointer;
      background-size:contain;
      background-repeat:no-repeat;
      display:inline-block;
      width:96px;height:96px;
      margin: 0px 5px;
      border: solid 1px grey;
  }
  .bg-label:hover, .color-label:hover{
    box-shadow : 0px 0px 4px #223344;
  }

  #icon-choose .bg-label, .color-label {
    width:40px;height:40px;
    border: none;
    border-radius: 50%;
  }

.image-popup {
    object-fit: contain !important;
    max-height: 600px;
    border-radius: 5%;
}

#iconLineImg .unselected {
  background-color: #bbbbbb !important;
  border-color: #bbbbbb !important;
  color: white !important;
}

#canvas_img {
  display: none;
}

.mapbox-img-popup .mapboxgl-popup-content {
    border-radius: 5%;
    border: solid 3px black;
    padding: 0px;
    box-shadow: 4px 4px 7px rgba(0, 0, 0, .5);
}

.mapbox-img-popup .mapboxgl-popup-tip {
  border-width: 12px;
}

.mapbox-img-popup.mapboxgl-popup-anchor-bottom .mapboxgl-popup-tip {
  border-top-color: #000000;
}

.mapbox-img-popup.mapboxgl-popup-anchor-top .mapboxgl-popup-tip {
  border-bottom-color: #000000;
}

.mapbox-img-popup.mapboxgl-popup-anchor-right .mapboxgl-popup-tip {
  border-left-color: #000000;
}

.mapbox-img-popup.mapboxgl-popup-anchor-left .mapboxgl-popup-tip {
  border-right-color: #000000;
}

.mapbox-img-popup .mapboxgl-popup-close-button {
    right: 1%;
    top: 1%;
}

.popupHoverLine .mapboxgl-popup-content{
  background-color: #ffffffdd;
  word-wrap: break-word;
  padding: 10px 10px 10px;
}

#openHighlightPopup {
  cursor: pointer;
}

#openHighlightPopup:hover {
  text-decoration: underline;
}

#openHighlightPopup img {
    height: 20px;
    vertical-align: middle;
    filter: opacity(0.7);
}

.trash-image {
  position: absolute;
  bottom: 1%;
  right: 1%;
  margin: 0 !important;
  cursor: pointer;
}

.trash-image:hover {
  font-size: 14px;
  right: 0;
    bottom: 0;
}

#animation-controls {
  margin-left: 15px;
  margin-bottom: 5px;
}

.explanation {
  border-bottom: solid 1px grey;
}

#explain-image, #explain-text, #explain-context-image {
  display: none;
  margin-left: 15px;
  margin-bottom: 10px;
  font-style: italic;
}
 #explain-context-image {
  display: block;
 }

.image-tooltip {
  background-color: white;
}

.iconLineAnimate {
  border: 2px solid white;
  border-radius: 50%;
}

.iconLineAnimate img{
    width: 86%;
    left: 7%;
    top: 7%;
    position: absolute;
}

.color-picker, #text-color-picker {
  border : 1px solid #ccc;
  border-radius: 0 4px 4px 0;
  padding: 2px 1px;
}

.tooltip-valid-sc {
  border: none;
  font-weight: bold;
  height: 30px;
  padding: 0px;
  line-height:30px;
  padding-right: 5px;
  background-color: white;
}

.tooltip-valid-sc::before {
  display: none !important;
}

.tooltip-valid-sc .valid-sc-name {
  background-color: #3c0c44;
  display:inline-block;
  border-radius: 3px 0 0 3px;
  color: white ;
  height: 100%;
  padding-right: 6px;
  padding-left: 6px;
  margin-right: 5px;
}

.popup-gd .mapboxgl-popup-content {
  font-family: 'Muli';
    padding: 0;
    font-weight: bold;
}

.popup-gd p {
  background-color: #3c0c44;
    color: white;
    padding: 3px;
    border-radius: 3px;
    border: solid 1px white;
    text-align: center;
}

.popup-gd div {
  text-align: center;
}

.popup-gd div.val {
  display: flex;
  flex-wrap: wrap;
}

.popup-gd span{
  padding: 4px;
  text-align: center;
}

.popup-gd div.val span {
  flex: 1 0 40%;
  padding: 0;
}

.popup-gd span:nth-child(2n){
 border-left: solid 1px black;
}

.mapboxgl-ctrl-scale{
  bottom: 0px;
  right: 50px;
}

#cursor {
  display:none;
  position: fixed;
  border-radius: 50%;
  transform: translateX(-50%) translateY(-50%);
  pointer-events: none;
  background-color: rgba(198, 212, 31, 0.1);
  z-index: 10000;
  border: 2px solid rgb(198, 212, 31);
  height: 35px;
  width: 35px;
  transition: width 0.15s, height 0.15s, border 0.15s;
}

legend {
  font-weight: bold;
  color: purple;
  margin-left: 15px;
  padding: 0 5px;
  font-size: 14px;
}

fieldset {
  border: none;
  border-top: dashed 2px purple;
  padding: 1px;
  display: flex;
  flex-wrap: wrap;
}

fieldset label{
  flex: 50%;
}

fieldset span{
  flex:100%;
  padding-left: 10px;
}

fieldset input[type="text"], fieldset input[type="number"]{
    margin-bottom: 0px !important;
    height: 25px !important;
    width: 45px !important;
    font-family: 'Muli';
    font-weight: bold;
    font-size: 12px;
}

.popup input[type="number"] {
  background-color: #E1E1E1;
  border: none;
  text-align: right;
}

#labelSignetAnimation {
  text-align: right;
}

.zonage-action{
  cursor: pointer;
  padding-left: 10px;
}

.zonage-action.active {
  font-weight: bold;
}

.zonage-action:hover {
  text-decoration: underline;
  color: red;
}

.zonage-info {
  margin-left: 20px;
  font-style: italic;
  display:none;
}

#flux-param label:not(.switch), #zonage-select label {
  display: inline-block;
  width: 62%;
}

#flux-param .button{
  margin-top: 10px;
  margin-left: 80px;
}

#fluxError {
  display:none;
  color: red;
}

#zonageFluxSaveName{
  margin-left: 20px;
}

#zonage-select #zone-selection {
  padding-left: 10px;
  display:none;
}

#voile-card .card-content p {
  flex: 50%;
}

.line-highlight {
  background-color: white;
  border: solid 1px #bbbaba;
  border-radius: 3px;
  flex: 49%;
}

.line-highlight .iconLine {
  margin: 2px;
  user-select: none;
}

#line-highlight-selector {
    flex: 100%;
    text-align: center;
    display: flex;
    justify-content: space-around;
}

#line-highlight-selector span {
  border: solid 1px #bbbaba;
  height: 14px;
  border-radius: 0 0 2px 2px;
  line-height: 14px;
  display: inline-block;
  border-top: none;
  cursor: pointer;
}

.distance-container {
  position: absolute;
  top: 58px;
  right: 44px;
  z-index: 1;
}

.distance-container > * {
  background-color: rgba(0, 0, 0, 0.5);
  color: #fff;
  font-size: 11px;
  line-height: 18px;
  display: block;
  margin: 0;
  padding: 5px 10px;
  border-radius: 3px;
}
